<?php
	// $time
	if (!isset($time)) return;
	$format = new IntlDateFormatter('en_CA.UTF-8',
									IntlDateFormatter::FULL,
									IntlDateFormatter::SHORT);
	@list($title, $body) = explode("\n\n", file_get_contents('article/' . $time . '.txt'), 2);
	$body = preg_replace('@^https?://.*?$@m', '<a href="$0">$0</a>', htmlspecialchars($body));
	$body = preg_replace('@^---\n$@m', '<hr />', $body);
?>
<article id="<?= htmlspecialchars($time) ?>">
	<h2><?= htmlspecialchars($title) ?> <a href="<?= htmlspecialchars(date('Y-m', $time) . '.html#' . $time) ?>">#</a></h2>
	<p><?= htmlspecialchars($format->format($time)) ?></p>
	<pre>
<?= $body ?>
</pre>
<?php foreach(glob('article/' . $time . '/*.{jpg,jpeg,png}', GLOB_BRACE) as $jpg): ?>
	<p><img src="<?= htmlspecialchars($jpg) ?>" width=100% />
<?php endforeach; ?>
<?php foreach(glob('article/' . $time . '/*.mp4') as $mp4): ?>
	<p><video controls src="<?= htmlspecialchars($mp4) ?>" style="width: 100%; "></video>
<?php endforeach; ?>
</article>
