<?php
	function get_article_times() {
		$articles = array_map('file_to_time', glob('article/*.txt'));
		natsort($articles);
		return $articles;
	}
	
	function file_to_time($file) {
		return pathinfo($file, PATHINFO_FILENAME);
	}
	
	function render_month($month) {
		$file = $month . '.html';
		
		$prev = $next = null;
		
		$monthtime = strtotime($month);
		$nextmonthtime = strtotime('+1 month', $monthtime);
		
		ob_start();
		foreach (get_article_times() as $time) {
			if ($time < $monthtime) {
				$prev = $time;
				continue;
			}
			if ($time >= $nextmonthtime) {
				$next = $time;
				break;
			}
			include 'template/article.php';
		}
		$body = ob_get_clean();
		
		if (!file_exists($file) && $prev && !$next) {
			render_month(date('Y-m', $prev));
		}
		
		ob_start();
		$time = $monthtime;
		include 'template/head.php';
		echo $body;
		include 'template/menu.php';
		file_put_contents($file, ob_get_clean());
	}
	
	function render_all() {
		foreach (glob('????-??.html') as $file) {
			unlink($file);
		}
		$months = array();
		foreach (get_article_times() as $time) {
			$months[] = date('Y-m', $time);
		}
		foreach (array_unique($months) as $month) {
			render_month($month);
		}
	}
	
	function render_index() {
		ob_start();
		include 'template/index.php';
		file_put_contents('index.html', ob_get_clean());
		
		ob_start();
		include 'template/rss.php';
		file_put_contents('index.rss', ob_get_clean());
	}
?>
