<?php
	require_once 'template/config.php';
	
	//header('Content-Type: application/rss+xml; charset=utf-8');
	//header('Content-Type: text/plain; charset=utf-8');
	
	function xmlstring($string) {
		return htmlspecialchars($string, ENT_XML1);
	}
	
	$articles = glob('article/*.txt');
	rsort($articles, SORT_NATURAL);
	$times = array();
	foreach (array_slice($articles, 0, 10) as $txt) {
		@list($title, $body) = explode("\n\n", file_get_contents($txt), 2);
		$times[] = array(pathinfo($txt, PATHINFO_FILENAME), $title, $body);
	}
	
	function ext_type($file) {
		$file = strtolower($file);
		if (substr($file, -4) === '.mp4')
			return 'video/mp4';
		if (substr($file, -4) === '.png')
			return 'image/png';
		return 'image/jpg';
	}
?>
<?xml version="1.0" encoding="UTF-8"?>
<rss version="2.0">
	<channel>
		<title><?= xmlstring(BLOG_TITLE); ?></title>
		<link><?= xmlstring(BLOG_URL); ?></link>
		<description></description>
<?php foreach ($times as list($time, $title, $body)): ?>
		<item>
			<guid isPermaLink="true"><?= xmlstring($link = BLOG_URL . date('Y-m', $time) . '.html#' . $time); ?></guid>
			<link><?= xmlstring($link); ?></link>
			<pubDate><?= xmlstring(date(DATE_RSS, $time)); ?></pubDate>
			<title><?= xmlstring($title); ?></title>
			<description><?= xmlstring(htmlspecialchars($body)); ?></description>
<?php	foreach (glob('article/' . $time . '/*.{jpg,jpeg,png,mp4}', GLOB_BRACE) as $img): ?>
			<enclosure url="<?= xmlstring(BLOG_URL . $img) ?>" type="<?= xmlstring(ext_type($img)) ?>" />
<?php	endforeach; ?>
		</item>
<?php endforeach; ?>
	</channel>
</rss>
